%global srcname wol-volume-changer
%define debug_package %{nil}

Name:           wol-changer
Version:        1.1.2
Release:        1%{?dist}
Summary:        Change volume, brightness and keyboard brightness showing wol bar
Url:            https://pagure.io/%{srcname}
License:        GPLv3

BuildRequires:  systemd-rpm-macros
BuildArch:      noarch
Requires:       sound-theme-freedesktop, wob, alsa-utils, pulseaudio-utils, brightnessctl

Source0:        %{name}-%{version}.tar.gz

%description
Change volume, brightness and keyboard brightness showing wol bar

%prep
%autosetup

%build

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 wol-change-volume %{buildroot}%{_bindir}
install -m 755 wol-change-brightness %{buildroot}%{_bindir}
install -m 755 wol-change-key-bright %{buildroot}%{_bindir}

%files
%license LICENSE
%doc README.md
%{_bindir}/wol-change-volume
%{_bindir}/wol-change-brightness
%{_bindir}/wol-change-key-bright

%post

%changelog
* Thu Apr 17 2025 Junior <cjuniorfox@gmail.com> 1.1.2-1
- 

* Tue Jul 09 2024 Junior <cjuniorfox@gmail.com> 1.1.1-1
- chore: added a license (cjuniorfox@gmail.com)
- chore: improved .spec file for this project (cjuniorfox@gmail.com)
- chore: minor adjustaments, improving the readability and error handling
  (cjuniorfox@gmail.com)
- chore: created a README.md file for this project (cjuniorfox@gmail.com)

* Mon Aug 28 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.3-1
- Adjustments (cjuniorfox@gmail.com)
- Removed the debug parameters (cjuniorfox@gmail.com)

* Sat Aug 26 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.2-1
- Replaced beep to paplay (cjuniorfox@gmail.com)

* Sat Aug 26 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.1-1
- RPM spec (cjuniorfox@gmail.com)

* Sat Aug 26 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.0-1
- New package built with tito